
FORD LDM Localization - 功能 #2599

功能 # 2519 (已关闭): Ford_SYSR: System Requirement

Ford_SYSR：FS_REQ0078_V1 LIN Part Number Reporting

2024-10-24 20:09 - 玉洁 金

状态: 已关闭 开始日期: 2024-10-29

优先级: 普通 计划完成日期: 2024-11-07

指派给: 槐 杨 % 完成: 100%

类别:  预期时间: 0.00 小时

目标版本: H003_SW0007169.A001.8 耗时: 0.00 小时

描述

Since we are limited to only 7 bytes of data (besides the LIN Status Byte), transmitting a 23 character part number will take several packets. Like the
configuration data, we use one byte to indicate an index and the rest of the bytes (6 others) are the data.

DLPL_LIN_20_001 – Part Number Sequencing
To allow the LIN Node manufacturer to reduce cycle time on their production line, the LIN Node is allowed to start with any PartNumIndex. They then
cycle through the remaining indices. Once they repeat the very first PartNumIndex value, the LIN controller will consider the Part Number complete. All
unused bytes must be set to 0 (NULL).
Notice that PartNumIndex is multiplied by 6 when placing the partial part number data in the correct location. Refer to the DLPL_LIN_20_003 – Node
Part Number Mapping for more information.

DLPL_LIN_20_002 – Controller Part Number Retention
The LIN Controller will erase these part numbers when the ignition is cycled to avoid misreporting LIN Node part numbers due to replacing one in
service.

DLPL_LIN_20_003 – Node Part Number Mapping  PartNumIndex Value PartNumData Byte LIN Controller PartNumber
Data

0 Data0 PartNum0

0 Data1 PartNum1

0 Data2 PartNum2

0 Data3 PartNum3

0 Data4 PartNum4

0 Data5 PartNum5

1 Data0 PartNum6

1 Data1 PartNum7

1 Data2 PartNum8

1 Data3 PartNum9

1 Data4 PartNum10

1 Data5 PartNum11

2 Data0 PartNum12

2 Data1 PartNum13

2 Data2 PartNum14

2 Data3 PartNum15

2 Data4 PartNum16

2 Data5 PartNum17

3 Data0 PartNum18

3 Data1 PartNum19
3 Data2 PartNum20

3 Data3 PartNum21

3 Data4 PartNum22

3 Data5 PartNum23

Table 43:  Multiplexed PartNumIndex/ParNumData Mapping to LIN Controller PartNumber Data

The part number for the LDM is LC5A-13B626-A* or ML3A-13B626-A*, where * is revision A, B, C etc.  The revision shall be updated in software for
each hardware and software release after the initial P-Release.

Table 45: LIN Part Number Reporting Frame

Table 46: LIN Part Number Reporting Frame Definition

子任务:

功能 # 2885: Ford_SWER_0078_0002： Unused bytes handling 已关闭

功能 # 2889: Ford_SWER_0078_0001：Part Number Report 已关闭

功能 # 3011: Ford_SWER_0078_0003： Part Number Value 已关闭

历史记录

#1 - 2024-10-25 10:50 - 涛 陆

完成

#2 - 2024-11-01 17:43 - 涛 陆

- 描述 已更新。
delete example

#3 - 2024-11-22 09:47 - 斌 徐

- 状态 从 新建 变更为 已关闭
